Bug 219481 - deskutils/recoll: update 1.21.6 -> 1.23.3
Summary: deskutils/recoll: update 1.21.6 -> 1.23.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-05-24 01:47 UTC by Walter Schwarzenfeld
Modified: 2017-11-01 19:55 UTC (History)
1 user (show)

See Also:


Attachments
svn-diff_deskutils_recoll (6.86 KB, patch)
2017-05-24 01:54 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff_deskutils_recoll_v2 (6.83 KB, patch)
2017-05-24 08:13 UTC, Walter Schwarzenfeld
no flags Details | Diff
patch (5.89 KB, patch)
2017-10-31 17:53 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Schwarzenfeld freebsd_triage 2017-05-24 01:47:34 UTC
Update deskutils/recoll to 1.23.2.

Set X11MON to broken, cause of:
index/rclmonrcv.o: In function `RclFAM::RclFAM()':
index/rclmonrcv.cpp:(.text+0x1ed1): undefined reference to `FAMOpen2'
index/rclmonrcv.o: In function `RclFAM::~RclFAM()':
index/rclmonrcv.cpp:(.text+0x20ac): undefined reference to `FAMClose'
index/rclmonrcv.o: In function `RclFAM::~RclFAM()':
index/rclmonrcv.cpp:(.text+0x210c): undefined reference to `FAMClose'
index/rclmonrcv.o: In function `RclFAM::addWatch(std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&, bool)':
index/rclmonrcv.cpp:(.text+0x2307): undefined reference to `FAMMonitorDirectory'
index/rclmonrcv.cpp:(.text+0x2447): undefined reference to `FAMMonitorFile'
index/rclmonrcv.o: In function `RclFAM::getEvent(RclMonEvent&, int)':
index/rclmonrcv.cpp:(.text+0x279f): undefined reference to `FAMPending'
index/rclmonrcv.cpp:(.text+0x27b6): undefined reference to `FAMNextEvent'
index/rclmonrcv.cpp:(.text+0x2988): undefined reference to `FAMClose'

(fam.h is included in rclmonrcv.cpp and has all definitions).
Comment 1 Walter Schwarzenfeld freebsd_triage 2017-05-24 01:54:50 UTC
Created attachment 182845 [details]
svn-diff_deskutils_recoll
Comment 2 Walter Schwarzenfeld freebsd_triage 2017-05-24 02:33:11 UTC
ChangLog:
http://www.lesbonscomptes.com/recoll/release-1.23.html
Comment 3 Walter Schwarzenfeld freebsd_triage 2017-05-24 02:38:17 UTC
http://www.lesbonscomptes.com/recoll/BUGS.html:
Real time indexer: when running with gamin on FreeBSD, the indexer can deadlock in the gamin dialog in some cases.

So I think, it is better not to use FAM/gamin.
Comment 4 Walter Schwarzenfeld freebsd_triage 2017-05-24 08:13:38 UTC
Created attachment 182854 [details]
svn-diff_deskutils_recoll_v2

Correct a pkg-plist error.
Comment 5 Walter Schwarzenfeld freebsd_triage 2017-05-25 13:29:02 UTC
Forgot the reason why I closed it:
Poudriere hängs in stage:
(I have no clue to solve it).
libtool: install: warning: `librecoll.la' has not been installed in `/usr/local/lib/recoll'
libtool: install: install -m 555 -s .libs/recollindex /wrkdirs/usr/ports/deskutils/recoll/work/sta
ge/usr/local/bin/recollindex
(cd python/recoll; \
        if test -f /etc/debian_version ; then \
            OPTSFORPYTHON=--install-layout=deb; \
        fi; \
        set -x; \
        python setup.py install \
         --prefix=/usr/local --root=${DESTDIR:-/} ${OPTSFORPYTHON})
+ python setup.py install --prefix=/usr/local --root=/wrkdirs/usr/ports/deskutils/recoll/work/stage
python: not found
gmake[3]: *** [Makefile:2189: recollpython-install] Error 127
gmake[3]: Leaving directory '/wrkdirs/usr/ports/deskutils/recoll/work/recoll-1.23.2'
gmake[2]: *** [Makefile:2006: install-am] Error 2
Comment 6 Walter Schwarzenfeld freebsd_triage 2017-05-25 13:48:30 UTC
I also tried it with libtool:keepla, but that changed nothing.
Comment 7 Kurt Jaeger freebsd_committer 2017-10-31 17:53:38 UTC
Created attachment 187622 [details]
patch

See attached patch, needs more QA, unsets X11MON default=on to off
Comment 8 Kurt Jaeger freebsd_committer 2017-11-01 15:38:29 UTC
Committed, thanks!
Comment 9 commit-hook freebsd_committer 2017-11-01 15:38:54 UTC
A commit references this bug:

Author: pi
Date: Wed Nov  1 15:38:27 UTC 2017
New revision: 453294
URL: https://svnweb.freebsd.org/changeset/ports/453294

Log:
  deskutils/recoll: update 1.21.6 -> 1.23.3

  - X11MON defaults now to Off

  PR:		219481
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  Reviewed by:	PeerCorps Trust Fund <ipc@peercorpstrust.org
  Relnotes:	http://www.lesbonscomptes.com/recoll/release-1.23.html

Changes:
  head/deskutils/recoll/Makefile
  head/deskutils/recoll/distinfo
  head/deskutils/recoll/pkg-plist
Comment 10 Walter Schwarzenfeld freebsd_triage 2017-11-01 19:55:07 UTC
Thank you!